Subject: Re: bug#31929: [PATCH] Install emacs-module.h (Bug#31929)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Sep 2018 16:45:34 +0300

> From: Philipp Stephani <[email-masked]>
> Date: Fri, 21 Sep 2018 15:27:48 +0200
> Cc: Philipp Stephani <[email-masked]>
> 
> +	$(MKDIR_P) -m 0755 $(includedir)
> +	$(INSTALL_DATA) src/emacs-module.h $(includedir)/emacs-module.h

Thanks.  I wonder whether we should install in $(includedir)/emacs.
It sounds rude to me to invade the top-level include directory; other
packages install into package-specific subdirectories.

If you agree, we may need to change mod-test.c and perhaps also the
place where we keep emacs-module.h in the Emacs tree.

We should also think what will happen when we change the interface in
some backward-incompatible way: how do we allow end-users to compile
modules for several Emacs versions on the same system? does that
require a new version of the header, or can we provide a header that
will work with any Emacs version?